# file:httpd.regress-common.conf
#
# This should be included in pretty much all httpd.confs we have
# so only include common or properly version-gated configuration here.
<IfModule !version_module>
	LoadModule version_module %HTTPD_MOD_DIR%/mod_version.so
</IfModule>

<IfVersion >= 2.4>
	IncludeOptional %A2MDIR%/authn_core.*
	IncludeOptional %A2MDIR%/authz_core.*

	<IfModule !access_compat_module>
		LoadModule access_compat_module %HTTPD_MOD_DIR%/mod_access_compat.so
	</IfModule>

	<IfModule !authn_core_module>
		LoadModule authn_core_module %HTTPD_MOD_DIR%/mod_authn_core.so
	</IfModule>

	<IfModule !authz_core_module>
		LoadModule authz_core_module %HTTPD_MOD_DIR%/mod_authz_core.so
	</IfModule>

	<IfModule !authz_host_module>
		LoadModule authz_host_module %HTTPD_MOD_DIR%/mod_authz_host.so
	</IfModule>

	<IfModule !unixd_module>
		LoadModule unixd_module %HTTPD_MOD_DIR%/mod_unixd.so
	</IfModule>

	<IfDefine DSO_MPM_WORKER>
		IncludeOptional %A2MDIR%/mpm_worker.*
		<IfModule !mpm_worker_module>
			LoadModule mpm_worker_module %HTTPD_MOD_DIR%/mod_mpm_worker.so
		</IfModule>
	</IfDefine>
	<IfDefine DSO_MPM_PREFORK>
		IncludeOptional %A2MDIR%/mpm_prefork.*
		<IfModule !mpm_prefork_module>
			LoadModule mpm_prefork_module %HTTPD_MOD_DIR%/mod_mpm_prefork.so
		</IfModule>
	</IfDefine>

	<Location />
		AuthType None
		Require all granted
	</Location>
</IfVersion>
